package com.ruoyi.system.mapper.typehandler;

import com.ruoyi.common.utils.StringUtils;

import java.util.ArrayList;
import java.util.Arrays;
import java.util.Collections;
import java.util.List;
import java.util.stream.Collectors;

/**
 * @author wjh
 * 2024/8/13
 */
public class IntegerSplitListTypeHandler extends AbstractSplitListTypeHandler<Integer>{
    /**
     * 转换为列表
     *
     * @param data
     * @param delimiter
     */
    @Override
    public List<Integer> parseToList(String data, String delimiter) {
        if (StringUtils.isBlank(data)) {
            return new ArrayList<>();
        }
        String[] split = data.split(delimiter);
        return Arrays.stream(split).map(Integer::valueOf).collect(Collectors.toList());
    }
}
